//
//  SwiffController.h
//  iSwiff
//
//  Created by Henrik Dalgaard on 11/19/04.
//  Copyright 2004 Echo One. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SwiffWindowController.h"

@class VersionChecker;

@interface SwiffController : NSObject {
	IBOutlet VersionChecker* versionChecker; 
	IBOutlet NSColorWell* backgroundColorWell; 
	NSColor* backgroundColor;
}
+(SwiffController*) sharedSwiffController;
-(void) switchFullScreen: (id) sender;
-(void) setBackgroundColor:(NSColor*) newBackgroundColor;
-(IBAction) takeBackgroundColorFrom: (id) sender;
-(NSColor*) backgroundColor;
-(void) gotoISwiffWebPage: (id) sender;

@end
